org.apache.jmeter.report.core

## Class SampleMetaDataParser

- java.lang.Object
- - org.apache.jmeter.report.core.SampleMetaDataParser

-     public class SampleMetaDataParser
      extends Object

  Simple parser to get a `SampleMetadata` instance
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SampleMetaDataParser(char separator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SampleMetadata` | `parse(String headRow)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SampleMetaDataParser

          public SampleMetaDataParser(char separator)

  - ### Method Detail

    - #### parse

          public SampleMetadata parse(String headRow)

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.